This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 8233 - startkde magic/random problem.
startkde magic/random problem.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
www.lastfoot.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-06 12:46 EST by Michael Maher
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 06:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Maher 2000-01-06 12:46:17 EST
In the /usr/bin/startkde script, it will hang on the 'random' section of
the script.

f=$HOME/.kde/share/apps/kfm/magic
[ -f $f ] || dd if=/dev/random bs=1 count=16 | md5sum > $f

Should be:

f=$HOME/.kde/share/apps/kfm/magic
[ -f $f ] || dd if=/dev/urandom bs=1 count=16 | md5sum > $f

Note this test:
[root@vnc1-1 bin]# dd if=/dev/random bs=1 count=16 of=foo
0+0 records in
0+0 records out

[root@vnc1-1 bin]# dd if=/dev/urandom bs=1 count=16 of=foo
16+0 records in
16+0 records out


If the startkde script enters this state it will hang.
Comment 1 Bernhard Rosenkraenzer 2000-01-18 06:47:59 EST
Thanks, fixed.

Note You need to log in before you can comment on or make changes to this bug.